﻿//  
// Copyright (c) Microsoft.  All rights reserved.
// 
//  Licensed under the Apache License, Version 2.0 (the "License");
//  you may not use this file except in compliance with the License.
//  You may obtain a copy of the License at
//    http://www.apache.org/licenses/LICENSE-2.0
// 
//  Unless required by applicable law or agreed to in writing, software
//  distributed under the License is distributed on an "AS IS" BASIS,
//  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
//  See the License for the specific language governing permissions and
//  limitations under the License.

using Microsoft.Azure.Management.ApiManagement.SmapiModels;
using System;

namespace Microsoft.Azure.Commands.ApiManagement.ServiceManagement.Models
{
    public class ErrorField
    {
        public string Code { get; set; }

        public string Message { get; set; }

        public string Target { get; set; }

        public ErrorField()
        {

        }

        public ErrorField(ErrorFieldContract errorField)
            : this()
        {
            if (errorField == null)
            {
                throw new ArgumentNullException("errorField");
            }

            Message = errorField.Message;
            Code = errorField.Code;
            Target = errorField.Target;
        }
    }
}